%global momorel 1
%global svn_date 20070717
%global use_svn 1

Summary:        C based CCS configuration tool
Name:           ccs-settings
Version:        0.0.1
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source0:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2 5058cf048be41998da8ddbe55c7babb6
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       compiz-core
Requires:       libcompizconfig >= 0.0.1-0.20070717, compizconfig-python
BuildRequires:  libcompizconfig >= 0.0.1-0.20070717
BuildRequires:  ccs-backend-kconfig, ccs-backend-gconf
BuildRequires:  autoconf, automake, libtool
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libattr-devel
BuildRequires:  libutempter-devel
Obsoletes: 	beryl-settings, beryl-settings-simple, beryl-settings-bindings

%description
C based CCS configuration tool

%prep
# clean up backends
rm -rf %{_builddir}/ccs-backend-*

%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%if %{use_svn}
./autogen.sh
make distclean
%endif

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ccs-settings
%{_datadir}/applications/ccs-settings.desktop
%{_datadir}/ccs/hints
%{_datadir}/locale/*/LC_MESSAGES/ccs-settings.mo
%{_mandir}/man1/ccs-settings.1*
%{_datadir}/pixmaps/ccs-settings*.svg

%changelog
* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul 06 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070621.2m)
- change Requires from compiz to compiz-core

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070616.1m)
- update 20070616

* Fri Jun 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.2m)
- split packages
-- ccs-settings
-- ccs-backend-gconf
-- ccs-backend-kconfig

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.2m) 
- rebuild against libccs-0.0.1-0.20070524-2m

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sat May 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070519.3m)
- modify spec file for KDE

* Sat May 19 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.1-0.20070519.2m)
- add --with-qt-liblaries option to configure of ccs-backend-kconfig for x86_64
- add BuildRequires: qt-devel 

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- initial commit

